Bug 1437148 - [AWS][SDN] - Cannot edit or create Cloud networks/subnets
Summary: [AWS][SDN] - Cannot edit or create Cloud networks/subnets
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat CloudForms Management Engine
Classification: Red Hat
Component: UI - OPS
Version: 5.7.0
Hardware: Unspecified
OS: Unspecified
unspecified
urgent
Target Milestone: GA
: 5.7.3
Assignee: Tzu-Mainn Chen
QA Contact: Oleksandr Kolisnyk
URL:
Whiteboard: ui:sdn:amazon
Depends On: 1403152
Blocks:
TreeView+ depends on / blocked
 
Reported: 2017-03-29 15:51 UTC by Satoe Imaishi
Modified: 2017-06-28 14:59 UTC (History)
7 users (show)

Fixed In Version: 5.7.3.1
Doc Type: If docs needed, set a value
Doc Text:
Clone Of: 1403152
Environment:
Last Closed: 2017-06-28 14:59:04 UTC
Category: ---
Cloudforms Team: AWS
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Private Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2017:1601 0 normal SHIPPED_LIVE Important: CFME 5.7.3 security, bug fix and enhancement update 2017-06-28 18:51:52 UTC

Comment 2 CFME Bot 2017-04-13 22:11:07 UTC
New commit detected on ManageIQ/manageiq/euwe:
https://github.com/ManageIQ/manageiq/commit/e1c19c7f59ae5f374a07a2f3c27a79d7cf9a1272

commit e1c19c7f59ae5f374a07a2f3c27a79d7cf9a1272
Author:     Greg Blomquist <blomquisg@gmail.com>
AuthorDate: Thu Mar 16 15:12:19 2017 -0400
Commit:     Satoe Imaishi <simaishi@redhat.com>
CommitDate: Thu Apr 13 18:06:45 2017 -0400

    Merge pull request #14280 from tzumainn/add-supports-mixin-cloud-network
    
    Add SupportsFeatureMixin to CloudNetwork
    (cherry picked from commit 26dbe2e9afd4274c92182f0d20fca02ae51b5010)
    
    https://bugzilla.redhat.com/show_bug.cgi?id=1437148

 app/models/cloud_network.rb | 1 +
 1 file changed, 1 insertion(+)

Comment 3 CFME Bot 2017-04-13 22:16:27 UTC
New commit detected on ManageIQ/manageiq/euwe:
https://github.com/ManageIQ/manageiq/commit/d934bc2672e6c74a3f41aa96ad27daa633679da4

commit d934bc2672e6c74a3f41aa96ad27daa633679da4
Author:     Adam Grare <agrare@redhat.com>
AuthorDate: Mon Mar 27 11:58:37 2017 -0400
Commit:     Satoe Imaishi <simaishi@redhat.com>
CommitDate: Thu Apr 13 18:14:26 2017 -0400

    Merge pull request #14392 from tzumainn/cloud-network-class-by-ems-fix
    
    Fix general CloudNetwork class_by_ems method
    (cherry picked from commit 30144fae7ce7f2c08995d89be22b376446da4e7d)
    
    https://bugzilla.redhat.com/show_bug.cgi?id=1437148

 app/models/cloud_network.rb                                      | 8 ++------
 .../providers/openstack/network_manager/cloud_network.rb         | 9 +++++++++
 2 files changed, 11 insertions(+), 6 deletions(-)

Comment 4 CFME Bot 2017-05-22 13:00:58 UTC
New commit detected on ManageIQ/manageiq/euwe:
https://github.com/ManageIQ/manageiq/commit/f635ca882b25ce2b8d580fd0e9d3ef387a5f48d1

commit f635ca882b25ce2b8d580fd0e9d3ef387a5f48d1
Author:     Tzu-Mainn Chen <tzumainn@redhat.com>
AuthorDate: Mon May 1 16:30:39 2017 +0200
Commit:     Tzu-Mainn Chen <tzumainn@redhat.com>
CommitDate: Mon May 1 16:30:39 2017 +0200

    [EUWE] Disable cloud network buttons if no provider supports it
    
    https://bugzilla.redhat.com/show_bug.cgi?id=1437148
    
    Backport of https://github.com/ManageIQ/manageiq-ui-classic/pull/657

 .../application_helper/button/cloud_network_new.rb | 13 +++++++++
 .../toolbar/cloud_network_center.rb                |  9 ++++--
 .../toolbar/cloud_networks_center.rb               |  4 ++-
 .../buttons/cloud_network_new_spec.rb              | 33 ++++++++++++++++++++++
 4 files changed, 56 insertions(+), 3 deletions(-)
 create mode 100644 app/helpers/application_helper/button/cloud_network_new.rb
 create mode 100644 spec/helpers/application_helper/buttons/cloud_network_new_spec.rb

Comment 5 Oleksandr Kolisnyk 2017-06-15 14:33:43 UTC
Added newtork with subnet, updated both successfuly
Verified on 5.7.3.1

Comment 7 errata-xmlrpc 2017-06-28 14:59:04 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHSA-2017:1601


Note You need to log in before you can comment on or make changes to this bug.